View Issue Details

IDProjectCategoryView StatusLast Update
12907Bug reports[All Projects] Survey takingpublic2018-06-11 16:30
ReporterolleAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target Version3.0.xFixed in Version3.10.x 
Summary12907: Resume later and load unfinished survey does not work in Ajax mode
DescriptionTitle.
Steps To Reproduce1. Enable Ajax mode
2. Execute survey
3. Clicking on resume later or load unfinished survey does not work (only scrolls up the page)
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest dev
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Operating System (Server)-
Webserver software & version-
PHP Version-

Activities

LouisGac

LouisGac

2017-11-14 12:50

manager   ~45067

Markus: it's just about attaching again the button on the top bar to the one in body form...
markusfluer

markusfluer

2018-06-07 12:46

developer   ~48018

Resume later does work.
What should happen after the save, should it close the window?
It is saving all inserted responses to the point of clicking on it.
markusfluer

markusfluer

2018-06-07 15:13

developer   ~48020

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27358

Related Changesets

LimeSurvey: master 0d01e69d

2018-06-07 15:12:57

markusfluer

Details Diff
Fixed issue 12907: Resume later and load unfinished survey does not work in Ajax mode
mod - application/controllers/admin/themes.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - assets/packages/questions/numeric-slider/scripts/numeric-slider.js Diff File
mod - themes/survey/vanilla/views/subviews/header/head.twig Diff File

Issue History

Date Modified Username Field Change
2017-11-14 11:34 olle New Issue
2017-11-14 12:49 LouisGac Assigned To => markusfluer
2017-11-14 12:49 LouisGac Status new => assigned
2017-11-14 12:50 LouisGac Note Added: 45067
2018-06-05 11:28 olle Assigned To markusfluer => LouisGac
2018-06-05 11:28 LouisGac Sticky Issue No => Yes
2018-06-06 17:57 LouisGac Sticky Issue Yes => No
2018-06-06 17:57 LouisGac Sticky Issue No => Yes
2018-06-07 11:49 LouisGac Assigned To LouisGac => markusfluer
2018-06-07 12:46 markusfluer Note Added: 48018
2018-06-07 15:13 markusfluer Changeset attached => LimeSurvey master 0d01e69d
2018-06-07 15:13 markusfluer Note Added: 48020
2018-06-07 15:13 markusfluer Resolution open => fixed
2018-06-11 15:32 markusfluer Status assigned => resolved
2018-06-11 15:32 markusfluer Fixed in Version => 3.9.x
2018-06-11 16:30 markusfluer Status resolved => closed
2018-06-11 16:30 markusfluer Fixed in Version 3.9.x => 3.10.x